Page MenuHomePhabricator

iOS Release 4.1.4 (130)
Closed, ResolvedPublic

Description

See iOS release process for process documentation. Keep iOS release status and history up to date.

Release version: 4.1.4
Release tag: 4.1.4.130
Release SHA1: 81b3e560ab56ad06cbc0e00414dbe618bcc4b622
App Store Submission Date: May 20, 2015 19:14
App Store Approval Date: May 25, 2015
App Store Release Date: Jun 2, 2015
Regression Testing URL: https://docs.google.com/spreadsheets/d/1BEZ8WZm9mtHmozsk9aQ1s5c7mmjgntkmuBnx8tA1Q_A/edit#gid=0


  • Point current status at this card
  • Add roadmap and notice tags
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC for internal testing on iTunes Connect
  • Distribute RC to TSG on Hockey App
  • Post to mobile-l when Beta is approved for external testing
  • Draft What's New, post to Google Docs, and notify writers room
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Draft App Store Description, post to Google Docs, and notify writers room (if needed)
  • Upload new screenshots to iTunes Connect (if needed)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Update HockeyApp console to mark build as released once released
  • Notify Comms that release is live so they can take action (publish blog post)
  • Notify Michael Guss to post on Twitter and Facebook
  • Post on mobile-l

Related Objects

Event Timeline

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 6:26 PM
BGerstle-WMF triaged this task as High priority.May 28 2015, 6:26 PM
BGerstle-WMF set Security to None.
BGerstle-WMF added a subscriber: dr0ptp4kt.
Fjalapeno updated the task description. (Show Details)Jun 1 2015, 2:56 PM
Fjalapeno added projects: Roadmap, Notice.
Fjalapeno updated the task description. (Show Details)
Fjalapeno updated the task description. (Show Details)Jun 2 2015, 3:31 PM
Fjalapeno moved this task from Unscheduled to June 1-5 on the Roadmap board.
Fjalapeno renamed this task from Release 4.1.4 (130) to iOS Release 4.1.4 (130).Jun 2 2015, 3:34 PM
Fjalapeno updated the task description. (Show Details)Jun 2 2015, 6:16 PM
Fjalapeno moved this task from Doing to Design Signoff on the Mobile-App-Sprint-58-iOS board.
Fjalapeno moved this task from Design Signoff to Done on the Mobile-App-Sprint-58-iOS board.
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 4 2015, 3:18 PM
greg added a subscriber: greg.Jun 4 2015, 4:29 PM

ping? All the checkboxes are checked and I think this was done yesterday?

greg closed this task as Resolved.Jun 4 2015, 10:00 PM
greg claimed this task.

Fjalapeno moved this task to Done on the Wikipedia-iOS-App workboard.

Taking that as closing (curious, are you purposefully not closing for a process/sign off reason, or???).

gpaumier moved this task from Triaged to Archive on the Notice board.Jun 11 2015, 4:48 PM